Index: trunk/shell/create-start-front-end
===================================================================
--- trunk/shell/create-start-front-end	(revision 35)
+++ trunk/shell/create-start-front-end	(revision 36)
@@ -1,78 +0,0 @@
-#! /bin/bash -x
-#
-# ST - 2012-03-09
-#
-# Create and start the front end.
-#
-# Get the directory of the script.
-SCRIPT_PATH=`dirname $0`
-# Get the script name.
-SCRIPT_NAME=`basename $0`
-# Source the common configuration variables.
-. $SCRIPT_PATH/c-i-a-b.common
-#
-# Check that the front-end virtual machine does not already exist.
-#
-CURRENT_HOST_NAME=$FRONT_END_HOST_NAME
-IS_RUNNING=`xm list | grep $CURRENT_HOST_NAME`
-if [ -n "$IS_RUNNING" ]
-  then
-    echo
-    echo The \"$CURRENT_HOST_NAME\" domU already exists. Aborting!
-    echo
-    exit 1
-fi
-
-# Create the front-end system disk.
-lvcreate -L$FRONT_END_SYSTEM_DISK_SIZE \
-         -n  $FRONT_END_SYSTEM_DISK \
-         $FRONT_END_SYSTEM_VOLUME_GROUP
-# Create a File System on the front-end system disk.
-mkfs -t $FRONT_END_SYSTEM_DISK_FILE_SYSTEM \
-        $FRONT_END_SYSTEM_VOLUME_GROUP_DEVICE/$FRONT_END_SYSTEM_DISK
-# If necessary, create the swap volume for the front end.
-if [ $FRONT_END_SWAP_DISK_SIZE != $CONST_NULL_DISK_SIZE ] ; then
-  lvcreate -L $FRONT_END_SWAP_DISK_SIZE \
-           -n $FRONT_END_SWAP_DISK \
-           $FRONT_END_SWAP_VOLUME_GROUP
-  mkswap $FRONT_END_SWAP_VOLUME_GROUP_DEVICE/$FRONT_END_SWAP_DISK
-fi
-# Create the VM home disk.
-lvcreate -L$FRONT_END_HOME_DISK_SIZE \
-         -n  $FRONT_END_HOME_DISK \
-         $FRONT_END_HOME_VOLUME_GROUP
-# Create a File System on the front-end system disk.
-mkfs -t $FRONT_END_HOME_DISK_FILE_SYSTEM \
-        $FRONT_END_HOME_VOLUME_GROUP_DEVICE/$FRONT_END_HOME_DISK
-# Mount the system disk to install the system.
-if [ ! -d $FRONT_END_FILE_SYSTEM_MOUNT_POINT ]; then
-  mkdir $FRONT_END_FILE_SYSTEM_MOUNT_POINT
-fi
-mount $FRONT_END_SYSTEM_VOLUME_GROUP_DEVICE/$FRONT_END_SYSTEM_DISK \
-      $FRONT_END_FILE_SYSTEM_MOUNT_POINT
-if [ $? -ne 0 ] ; then
-  exit 1
-fi 
-# Create the directory for the homes
-if [ ! -d "$FRONT_END_FILE_SYSTEM_MOUNT_POINT/home" ]; then
-  mkdir "$FRONT_END_FILE_SYSTEM_MOUNT_POINT/home"
-fi
-mount $FRONT_END_HOME_VOLUME_GROUP_DEVICE/$FRONT_END_HOME_DISK \
-      "$FRONT_END_FILE_SYSTEM_MOUNT_POINT/home"
-
-#
-# Get the cluster MAC address
-#
-CURRENT_PATH=/etc
-FRONT_END_CLUSTER_MAC_ADDRESS=\
-`awk -F, -v INDEX=$CONST_FRONT_END_CLUSTER_STATIC_NETWORK_POSTFIX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
-#
-# Install the system.
-# 
-debootstrap --arch $CONST_DEBIAN_ARCH $CONST_DEBIAN_VERSION \
-    $FRONT_END_FILE_SYSTEM_MOUNT_POINT
-# exit 0
-#
-# Complete the installation
-#
-exit 0
Index: trunk/shell/create-front-end
===================================================================
--- trunk/shell/create-front-end	(revision 0)
+++ trunk/shell/create-front-end	(revision 36)
@@ -0,0 +1,78 @@
+#! /bin/bash -x
+#
+# ST - 2012-03-09
+#
+# Create and start the front end.
+#
+# Get the directory of the script.
+SCRIPT_PATH=`dirname $0`
+# Get the script name.
+SCRIPT_NAME=`basename $0`
+# Source the common configuration variables.
+. $SCRIPT_PATH/c-i-a-b.common
+#
+# Check that the front-end virtual machine does not already exist.
+#
+CURRENT_HOST_NAME=$FRONT_END_HOST_NAME
+IS_RUNNING=`xm list | grep $CURRENT_HOST_NAME`
+if [ -n "$IS_RUNNING" ]
+  then
+    echo
+    echo The \"$CURRENT_HOST_NAME\" domU already exists. Aborting!
+    echo
+    exit 1
+fi
+
+# Create the front-end system disk.
+lvcreate -L$FRONT_END_SYSTEM_DISK_SIZE \
+         -n  $FRONT_END_SYSTEM_DISK \
+         $FRONT_END_SYSTEM_VOLUME_GROUP
+# Create a File System on the front-end system disk.
+mkfs -t $FRONT_END_SYSTEM_DISK_FILE_SYSTEM \
+        $FRONT_END_SYSTEM_VOLUME_GROUP_DEVICE/$FRONT_END_SYSTEM_DISK
+# If necessary, create the swap volume for the front end.
+if [ $FRONT_END_SWAP_DISK_SIZE != $CONST_NULL_DISK_SIZE ] ; then
+  lvcreate -L $FRONT_END_SWAP_DISK_SIZE \
+           -n $FRONT_END_SWAP_DISK \
+           $FRONT_END_SWAP_VOLUME_GROUP
+  mkswap $FRONT_END_SWAP_VOLUME_GROUP_DEVICE/$FRONT_END_SWAP_DISK
+fi
+# Create the VM home disk.
+lvcreate -L$FRONT_END_HOME_DISK_SIZE \
+         -n  $FRONT_END_HOME_DISK \
+         $FRONT_END_HOME_VOLUME_GROUP
+# Create a File System on the front-end system disk.
+mkfs -t $FRONT_END_HOME_DISK_FILE_SYSTEM \
+        $FRONT_END_HOME_VOLUME_GROUP_DEVICE/$FRONT_END_HOME_DISK
+# Mount the system disk to install the system.
+if [ ! -d $FRONT_END_FILE_SYSTEM_MOUNT_POINT ]; then
+  mkdir $FRONT_END_FILE_SYSTEM_MOUNT_POINT
+fi
+mount $FRONT_END_SYSTEM_VOLUME_GROUP_DEVICE/$FRONT_END_SYSTEM_DISK \
+      $FRONT_END_FILE_SYSTEM_MOUNT_POINT
+if [ $? -ne 0 ] ; then
+  exit 1
+fi 
+# Create the directory for the homes
+if [ ! -d "$FRONT_END_FILE_SYSTEM_MOUNT_POINT/home" ]; then
+  mkdir "$FRONT_END_FILE_SYSTEM_MOUNT_POINT/home"
+fi
+mount $FRONT_END_HOME_VOLUME_GROUP_DEVICE/$FRONT_END_HOME_DISK \
+      "$FRONT_END_FILE_SYSTEM_MOUNT_POINT/home"
+
+#
+# Get the cluster MAC address
+#
+CURRENT_PATH=/etc
+FRONT_END_CLUSTER_MAC_ADDRESS=\
+`awk -F, -v INDEX=$CONST_FRONT_END_CLUSTER_STATIC_NETWORK_POSTFIX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$CONST_DHCP_HOSTS_FILE_BASENAME`
+#
+# Install the system.
+# 
+debootstrap --arch $CONST_DEBIAN_ARCH $CONST_DEBIAN_VERSION \
+    $FRONT_END_FILE_SYSTEM_MOUNT_POINT
+# exit 0
+#
+# Complete the installation
+#
+exit 0

Property changes on: trunk/shell/create-front-end
___________________________________________________________________
Added: svn:executable
   + *

